----------  Math Sampler  ----------
                        Version 1.10


Program and documentation copyright John M. Gallant, 1993-94





WELCOME TO MATH SAMPLER  . . . 

    Here are a few additional topics to supplement the 
instructions contained in the program. 



DISCLAIMER - AGREEMENT 

Users of Math Sampler must accept this disclaimer of warranty: 
Math Sampler is supplied as is.  The author disclaims all 
warranties, expressed or implied, including, without limitation, 
the warranties of merchantability and of fitness for any purpose. 
The author assumes no liability for damages, direct or 
consequential, which may result from the use of Math Sampler. 
Liability is limited to refund or replacement. 

BACKUP YOUR DISK!

    Make a backup copy of Math Sampler before starting. If you 
have a two floppy drive system, place the disk with Math Sampler 
and all its files on it into drive a. Place a new formatted disk 
into drive b and type 

    copy a:*.* b:

All commands are ended by pressing the <Enter> key. If drives a 
and b are not the same on your system and the Math Sampler disk 
only fits in the b drive then just reverse the above 
instructions. Put the original disk in a safe place and use the 
copy to run Math Sampler. 

    To copy Math Sampler to a hard drive, make a directory on the 
hard drive. Go to the hard drive and type 

        md msamp

or any other directory name. Change to that directory with

        cd msamp

and copy all of the files on the original disk to the hard disk 
with the command 


        copy a:*.*

(or "copy b:*.*" if the disk containing Math Sampler is in 
drive b). 

RUNNING Math Sampler

    To start Math Sampler, go to the drive and directory 
containing the program and type "ms1 <Enter>". You may 
optionally start the program in the silent mode with "ms1 -s". 

    Once inside the program at the main menu, press h or F1 for 
more instructions. Each menu has its own help message. Be sure to 
read them all. 


USING THE MOUSE

    You will need a mouse to run Math Sampler. If you have used a 
mouse before then you will have no trouble with Math Sampler. If 
you have never used a mouse before then you are in for some fun. 
(We will assume you have a two-button Microsoft compatible 
mouse.) Move the mouse around and watch the little arrow go the 
same way you push the mouse. Move the arrow over one of the 
things that looks like a button or keyboard key. Press the left 
mouse button when the arrow is on a button on the screen. This is 
called "clicking on an option." Either mouse button may be used. 
The things on the screen that look like buttons are buttons, 
click on them to select options or to answer questions. 


    In general, each screen or popup message has a button in the 
upper left corner to exit the screen or remove the popup. Many 
popups can be cleared by pressing any key on the keyboard or 
clicking the mouse anywhere. Some popups present you with options 
and you will need to press one of a few specific keys on that 
popup to continue. 

    Some options can be selected by typing the first 
letter of the name on the key. Unfortunately, sometimes two names 
will start with the same letter so it is usually easier to use 
the mouse. You MUST use the mouse to answer the problems. 


MAIN MENU

    The first screen (after the credits and copyright notice) is 
the main menu. It looks like a piece of cross-stitch needlework. 
The "keys" are cross-stitched rectangles. The one marked "help" 
is important. Push it and read what it says. Most screens have a 
"help" button. Each message is different and applies to the 
current screen. 

    You cannot answer the problems on the main menu screen. They 
are just there to identify what the game for that key does. For 
example, the key with "2+3=?" is for the addition game. You may 
also type a number from one to six to start the games. Other keys 
may do nothing or may display a help message explaining how to 
start the game or other related function. For example 'q' will 
ask if you want to quit the game. 

    All of the setup is controlled from the main menu. Press one 
of the keys 's', 'm', or 'f' to make the action slow, medium, or 
fast. Press one of the keys 'e', 'm', or 'h' to make the 
questions easy, medium, or hard. The bell is the sound key. Try 
it. 

GAMES

  Although each game offers something different, they all have 
elements in common. For example, they all use a mouse to press 
keys or pickup and move objects. The screens are arranged so that 
the "game" part is on the right side and the problem part 
is on the left side. There is usually a scoreboard to keep track 
on the number of questions answered so far. Usually, when a 
problem is answered incorrectly, a small window will pop up to 
show the error. If the problem is missed a second time, the 
correct answer is displayed. 

    Five of the games consist of sets of problems to be answered. 
If the student scores at least 80% correct, a trophy or ribbon is 
awarded as follows: 

        100%    Gold trophy
         95%    Silver trophy
         90%    Gold medal
         85%    Silver medal
         80%    Bronze medal

Trophies earned are displayed at the bottom of the screen. 
Trophies are not saved when you exit the program. Prizes are 
awarded but scores are not displayed at the easy level. 

    All of the games have similar control panels in the upper 
left corner. On these control panels are at least a red "quit" 
key to return you to the main menu and a light blue "help" key to 
give instructions on how to play the game. We have tried hard to 
make the games simple and similar. This allows the student to 
spend his or her time solving problems and playing the game 
instead of learning the instructions. We spent a lot of time 
testing these games on children (of all ages). We tried to make 
them so that, with a little experimentation, the student could 
easily figure out how to play the game even without reading the 
instructions. But, since we went through the trouble of writing 
the help instructions, we would like you to read them anyway. 
They are all brief. 

    In the games where the student must catch a number, addition 
and multiplication, the cursor is sticky when it is on the left 
side of the screen. That means the numbers will stick to the 
cursor. Catch one of the numbers by moving the cursor to a 
number. Once the number sticks, move the number and cursor to the 
right side of the screen. Unless you are pressing a mouse key, 
the number will fall off and move to a small blue rectangle. That 
is where it is supposed to go. If the wrong number sticks to the 
cursor, press and release the mouse button to drop it. If a wrong 
number gets into the answer box, catch the correct number and 
drop it over the old one. 

    You can also drag a number out of the box. Place the cursor 
over the number. Press the mouse button and (with the button 
still down) drag the number back to the right side of the screen. 
Release the mouse button and the number should return to play. 
This is called "drag and drop." Use this method to remove extra 
fish from the small tank. Drag-and-drop the numbers in the 
subtraction game to solve the problem. 


Counting  (the key with a 2 and two fish)

    This game teaches counting. The student is asked to catch a 
given number of fish in the big tank and bring them to the small 
tank. (See the instructions above for how to use the mouse to 
catch and move objects.) Use the 's', 'm', or 'f' keys in the 
main menu to make the fish move slow, medium, or fast. Use the 
'e', 'm', or 'h' keys in the main menu to change the maximum 
number of objects to count. At the easy level, only five 
questions are asked per set and the maximum number of fish to 
count is five. 


Addition  (the key with 2+3=?)

    The first addition game teaches single-digit addition (to 10) 
with sets of counting object and simple written instructions. If 
the student cannot read these instructions, go through the game 
once or twice with the student and read the instructions aloud. 


    At the easy level, the problems are presented horizontally 
and the maximum sum is five. At the medium level, sums are done 
vertically and horizontally and the sums are up to ten. The hard 
level does not use the counting objects.


Subtraction  (the key with 5-4=?)

    Multidigit subtraction problems are presented with this game. 
The left side of the screen has a multidigit subtraction problem. 
The right side has a set of cages set into bricks. Steel doors 
close over the numbers in the cage when the cursor comes near 
them. The student must look at the problem, decide which numbers 
will be needed to solve the problem, and try to get the numbers 
out of the cages before the door closes. This will take a little 
practice but it is fun. If the doors are a problem then go to the 
main menu and select the 's' key. This will stop all the doors. 

    The student should solve the problem one column at a time, 
from ones column to tens, and so on. This is a more natural 
method than is used in almost all other math games. 

    The boxes above the problem are for regrouping (borrowing). 
They do not need to have numbers in them to get the problem 
correct. They are only there as an aid. For example, if you want 
to borrow one from the six in the tens column, catch a five and 
place it in the box above the six. The computer will strike 
through the six and place a small one near the upper number in 
the ones column. Remove the five and the computer will put 
everything back. 

    When a problem is answered incorrectly, the computer will 
change the color of the box containing the error from blue to 
red. The regrouping boxes are ignored unless the difference is in 
error. The student only needs to correct the numbers in the red 
boxes. This helps the student quickly identify the error and 
correct it. 

    There is no borrowing at the easy level and only two digit 
problems are given. Borrowing is introduced at the medium level. 
The hard level includes double borrowing (borrowing through a 
zero) and three digit numbers.

Multidigit Addition Instructions  (the box with 12+34)

    This is a set of lessons on how to solve multidigit addition 
problems. The student is not required to answer any questions. 
Select one of the problems with the mouse and press the 'go' key. 
The computer will go through step-by-step instructions on how to 
solve the problem. If you want to pause at any point, press the 
'pause' button. Press 'go' again and the computer will continue 
from where it left off. The 'fast', 'medium', and 'slow' keys 
change the speed of the lesson. 

    
Multiplication  (the box with 7x8=?)

    Catch the numbers as they pop up from behind the wall. One is 
the correct answer to the problem. Put it in the box and press 
"check" to check your answer. The easy level covers the 1, 2, and 
3 tables. Medium covers the 0 through 6 tables. The hard level 
covers the 0 through 9 tables and also includes missing-factor 
problems. These are problems of the type ?x2=6 and 4x?=20. 


Division  (the box with 93=?)

    This game is a timed division test. The challenge is to 
answer the questions within two minutes. Each time a question is 
answered the green frog hops. Race the other frog across the 
screen. The 's', 'm', and 'f' keys in the main menu select 5, 10 
or 20 questions per set. The easy level uses the 1, 2, and 3 
tables. The medium level uses the 1 through 6 tables. The hard 
level uses the 1 through 9 tables and also uses missing-factor 
problems. 


IF YOU HAVE PROBLEMS WITH THE PROGRAM

    We hope you never have any problems but if you do, the 
program will try to print a message to the screen. Here are some 
examples. 


"Could not find an EGA or VGA card"

    This message will be displayed when you try to run the 
program on a computer without the proper display driver card. 
Earlier CGA monitors do not have sufficient resolution for the 
text that accompanies the instructions and are not supported. 
Monochrome systems are also not supported. The program will work 
fine on true EGA and VGA systems. 


"Not enough memory"

    Although the program will work with systems with less than 
512K of memory, most of that memory must be available to the 
program. Some computers have memory set aside for RAM Disks or 
TSR programs. TSR (Terminate and Stay Resident) programs include 
such popup or background programs as Borland's Sidekick. These 
subtract from the memory available to the program. You may have 
to remove one or more of these to run Math Sampler. You will find 
them in a file called AUTOEXEC.BAT or CONFIG.SYS. If you are not 
familiar with these, seek out a friend who is or read the manuals 
that came with your computer. Another good place to get 
information on AUTOEXEC.BAT and CONFIG.SYS is in a book on DOS. 
There are usually several in the library. 


"Could not find file"

    This would most likely be caused by trying to run the program 
from a directory that does not include the "extra" files used by 
Math Sampler. These files typically contain graphic images that 
are loaded as needed. It is easiest to go to the drive and 
directory containing a copy of the complete set of programs that 
came on the distribution disk (the one you bought) and run from 
there. 


"Could not read file"

    This is more serious than not finding the file. It says the 
file was found but the computer was not able to read all of the 
information in the file. It is possible that the file has become 
corrupted. In that case, just replace the corrupted file with the 
one from your backup disk. (It is just as easy to start over and 
replace all of the files). It is also possible that the disk 
drive is having trouble reading the disk. Remove the disk from 
the drive and tap the disk on the table. Then reinsert the disk 
into the drive and try again. This does not work all the time but 
it is so simple that it is worth a try. 


The program runs but there is a bunch of junk flickering on the 
screen. 

    If this happens, press the F1 key. If the flickering stops 
then you probably have an old EGA driver with less than a full 
complement of memory. True EGA has memory for two complete 
screens (called "pages"). Math Sampler needs both. Although many 
EGA programs will run on these cards, others will not. You might 
check with your hardware dealer about an upgrade. 


Program does not run at all.

    Hmm? Never heard of that happening. Try the disk on another 
IBM compatible. You should at least get a message in text 
identifying the program (before the First Magnitude screen). If 
you do not, then the disk or program has been corrupted or your 
disk drive may have an alignment problem. 


None of the above.

    Even though I tried very hard to make a foolproof program, 
there is still a chance that something could go wrong. When that 
happens, I would like to know about it. Be sure to get as much 
information ready before calling as possible. I need such 
information as type of computer, type of display, DOS version, 
TSR's that might be running, and a detailed explanation of the 
symptoms. The more complete the information the easier it will be 
to solve the problem. 


TELEPHONE SUPPORT

    If you have read and tried all of the above and still need 
help, you can call the following number (513) 436-0232. It will 
help if you have all of the information ready and you are sitting 
in front of your computer when you call. 

